/*
 * All Admin Related Scripts in this Proffer Theme
 * Author & Copyright:themexshaper
 * URL: http://themeforest.net/user/themexshaper
 */

(function($) {
"use strict";
  /*---------------------------------------------------------------*/
  /* =  Toggle Meta boxes based on post formats
  /*---------------------------------------------------------------*/
   function proffer_gutenberg_toggle_metaboxes() {

        $(document).on('change','.editor-post-format__content select',function(){

        $('.cs-element-standard-image, .cs-element-gallery-format, .cs-element-add-gallery, .video_post_format, .quote_post_format').hide();

          var format = $(this).children("option:selected").val();
          console.log( format );

          if (format == '0' || format == 'image') {
              $('').slideUp('fast');
              $('.cs-element-standard-image').slideDown('slow');
          }
          if (format == 'gallery') {
              $('').slideUp('fast');
              $('.cs-element-gallery-format, .cs-element-add-gallery').slideDown('slow');
          }
          if (format == 'video') {
              $('').slideUp('fast');
              $('#post_type_metabox .video_post_format').slideDown('slow');
          }
          if (format == 'quote') {
              $('').slideUp('fast');
              $('#post_type_metabox .quote_post_format').slideDown('slow');
          }
        });
  }
  function proffer_toggle_metaboxes() {

    var format = $("input[name='post_format']:checked").val();

    $('.cs-element-standard-image, .cs-element-gallery-format, .cs-element-add-gallery, .video_post_format, .quote_post_format').hide();

    if (format == '0' || format == 'image') {
        $('').slideUp('fast');
        $('.cs-element-standard-image').slideDown('slow');
    }
    if (format == 'gallery') {
        $('').slideUp('fast');
        $('.cs-element-gallery-format, .cs-element-add-gallery').slideDown('slow');
    }
    if (format == 'video') {
        $('').slideUp('fast');
        $('#post_type_metabox .video_post_format').slideDown('slow');
    }
    if (format == 'quote') {
        $('').slideUp('fast');
        $('#post_type_metabox .quote_post_format').slideDown('slow');
    }

  }

  $(document).ready(function() {
      proffer_gutenberg_toggle_metaboxes();
      proffer_toggle_metaboxes();
    $('#post-formats-select input[type="radio"]').on('click', proffer_toggle_metaboxes);
  });

})(jQuery);