<?php
/*
 * The template for displaying the footer.
 * Author & Copyright:themexshaper
 * URL: http://themeforest.net/user/themexshaper
 */

$proffer_id    = ( isset( $post ) ) ? $post->ID : 0;
$proffer_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $proffer_id;
$proffer_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $proffer_id;
$proffer_meta  = get_post_meta( $proffer_id, 'page_type_metabox', true );
$proffer_ft_bg = cs_get_option('proffer_ft_bg');
$proffer_attachment = wp_get_attachment_image_src( $proffer_ft_bg , 'full' );
$proffer_attachment = $proffer_attachment ? $proffer_attachment[0] : '';

if ( $proffer_attachment ) {
	$bg_url = ' style="';
	$bg_url .= ( $proffer_attachment ) ? 'background-image: url( '. esc_url( $proffer_attachment ) .' );' : '';
	$bg_url .= '"';
} else {
	$bg_url = '';
}

if ( $proffer_meta ) {
	$proffer_hide_footer  = $proffer_meta['hide_footer'];
} else { $proffer_hide_footer = ''; }
if ( !$proffer_hide_footer ) { // Hide Footer Metabox
	$hide_copyright = cs_get_option('hide_copyright');
	
?>
	<!-- Footer -->
	<footer class="site-footer clearfix"  <?php echo wp_kses( $bg_url, array('img' => array('src' => array(), 'alt' => array()),) ); ?>>
		<?php
			$footer_widget_block = cs_get_option( 'footer_widget_block' );
			if ( $footer_widget_block ) {
	      get_template_part( 'theme-layouts/footer/footer', 'widgets' );
	    }
			if ( !$hide_copyright ) {
      	get_template_part( 'theme-layouts/footer/footer', 'copyright' );
	    }
    ?>
	</footer>
	<!-- Footer -->
<?php } // Hide Footer Metabox ?>
</div><!--proffer-theme-wrapper -->
<?php wp_footer(); ?>
</body>
</html>
