<?php
$proffer_id    = ( isset( $post ) ) ? $post->ID : 0;
$proffer_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $proffer_id;
$proffer_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $proffer_id;
$proffer_meta  = get_post_meta( $proffer_id, 'page_type_metabox', true);

// Header Style
if ( $proffer_meta ) {
  $proffer_header_design  = $proffer_meta['select_header_design'];
} else {
  $proffer_header_design  = cs_get_option( 'select_header_design' );
}

if ( $proffer_header_design === 'default' ) {
  $proffer_header_design_actual  = cs_get_option( 'select_header_design' );
} else {
  $proffer_header_design_actual = ( $proffer_header_design ) ? $proffer_header_design : cs_get_option('select_header_design');
}
$proffer_header_design_actual = $proffer_header_design_actual ? $proffer_header_design_actual : 'style_one';

$proffer_cart_widget  = cs_get_option( 'proffer_cart_widget' );
$proffer_search  = cs_get_option( 'proffer_header_search' );

$proffer_menu_cta  = cs_get_option( 'proffer_menu_cta' );

$cta_text  = cs_get_option( 'cta_text' );
$cta_link  = cs_get_option( 'cta_link' );

$cta_text = ( $cta_text ) ? $cta_text : esc_html__( 'Donate Now', 'proffer' );
$cta_link = ( $cta_link ) ? $cta_link : esc_html__( '#', 'proffer' );


if ( $proffer_header_design_actual == 'style_one' ) {
 $btn_class = 'theme-btn-s1';
} else {
  $btn_class = 'theme-btn-s7';
}


?>
<div class="cart-search-contact">
  <?php if ( !$proffer_search ) { ?>
    <div class="header-search-form-wrapper">
      <button class="search-toggle-btn"><i class="fi flaticon-search"></i></button>
      <div class="header-search-form">
        <form method="get" action="<?php echo esc_url( home_url('/') ); ?>" class="form" >
              <div>
                  <input type="text" name="s" class="form-control" placeholder="<?php echo esc_attr__( 'Search here','proffer' ); ?>">
                  <button type="submit"><i class="ti-search"></i></button>
              </div>
          </form>
      </div>
  </div>
  <?php }  
  if ( $proffer_cart_widget &&  class_exists( 'WooCommerce' ) ) {
      get_template_part( 'theme-layouts/header/top','cart' );
    }
  if ( $proffer_menu_cta && $proffer_header_design_actual !== 'style_three' ) { ?>
   <div class="donate-btn">
      <a href="<?php echo esc_url( $cta_link ); ?>" class="<?php echo esc_attr( $btn_class ); ?>">
        <i class="fi flaticon-like"></i><?php echo esc_html( $cta_text ); ?>
      </a>
  </div>
  <?php } ?>
</div>
