<?php
// Metabox
global $post;
$proffer_id    = ( isset( $post ) ) ? $post->ID : false;
$proffer_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $proffer_id;
$proffer_id    = ( is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $proffer_id;
$proffer_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $proffer_id : false;
$proffer_meta  = get_post_meta( $proffer_id, 'page_type_metabox', true );
  if ($proffer_meta) {
    $proffer_topbar_options = $proffer_meta['topbar_options'];
  } else {
    $proffer_topbar_options = '';
  }

  if ( $proffer_meta ) {
    $proffer_header_design  = $proffer_meta['select_header_design'];
  } else {
    $proffer_header_design  = cs_get_option( 'select_header_design' );
  }

 if ( $proffer_header_design === 'default' ) {
    $proffer_header_design_actual  = cs_get_option( 'select_header_design' );
  } else {
    $proffer_header_design_actual = ( $proffer_header_design ) ? $proffer_header_design : cs_get_option('select_header_design');
  }
  
$proffer_header_design_actual = $proffer_header_design_actual ? $proffer_header_design_actual : 'style_two';

// Define Theme Options and Metabox varials in right way!
if ($proffer_meta) {
  if ($proffer_topbar_options === 'custom' && $proffer_topbar_options !== 'default') {
    $proffer_top_left          = $proffer_meta['top_left'];
    $proffer_top_right          = $proffer_meta['top_right'];
    $proffer_hide_topbar        = $proffer_topbar_options;
    $proffer_topbar_bg          = $proffer_meta['topbar_bg'];
    if ($proffer_topbar_bg) {
      $proffer_topbar_bg = 'background-color: '. $proffer_topbar_bg .';';
    } else {$proffer_topbar_bg = '';}
  } else {
    $proffer_top_left          = cs_get_option('top_left');
    $proffer_top_right          = cs_get_option('top_right');
    $proffer_hide_topbar        = cs_get_option('top_bar');
    $proffer_topbar_bg          = '';
  }
} else {
  // Theme Options fields
  $proffer_top_left         = cs_get_option('top_left');
  $proffer_top_right          = cs_get_option('top_right');
  $proffer_hide_topbar        = cs_get_option('top_bar');
  $proffer_topbar_bg          = '';
}
// All options
if ( $proffer_meta && $proffer_topbar_options === 'custom' && $proffer_topbar_options !== 'default' ) {
  $proffer_top_right = ( $proffer_top_right ) ? $proffer_meta['top_right'] : cs_get_option('top_right');
  $proffer_top_left = ( $proffer_top_left ) ? $proffer_meta['top_left'] : cs_get_option('top_left');
} else {
  $proffer_top_right = cs_get_option('top_right');
  $proffer_top_left = cs_get_option('top_left');
}
if ( $proffer_meta && $proffer_topbar_options !== 'default' ) {
  if ( $proffer_topbar_options === 'hide_topbar' ) {
    $proffer_hide_topbar = 'hide';
  } else {
    $proffer_hide_topbar = 'show';
  }
} else {
  $proffer_hide_topbar_check = cs_get_option( 'top_bar' );
  if ( $proffer_hide_topbar_check === true ) {
     $proffer_hide_topbar = 'hide';
  } else {
     $proffer_hide_topbar = 'show';
  }
}
if ( $proffer_meta ) {
  $proffer_topbar_bg = ( $proffer_topbar_bg ) ? $proffer_meta['topbar_bg'] : '';
} else {
  $proffer_topbar_bg = '';
}
if ( $proffer_topbar_bg ) {
  $proffer_topbar_bg = 'background-color: '. $proffer_topbar_bg .';';
} else { $proffer_topbar_bg = ''; }


if ( $proffer_header_design_actual == 'style_three' ) { 
  $top_container = 'container';
  $top_column_left = 'col col-md-3 col-md-offset-2';
  $top_column_right = 'col col-md-7';
} else {
  $top_container = 'container-fluid';
  $top_column_left = 'col col-md-10';
  $top_column_right = 'col col-md-2';
}


if( $proffer_hide_topbar === 'show' && ( $proffer_top_left || $proffer_top_right ) ) {
?>
 <div class="topbar" style="<?php echo esc_attr( $proffer_topbar_bg ); ?>">
    <div class="<?php echo esc_attr( $top_container ); ?>">
        <div class="row">
            <div class="<?php echo esc_attr( $top_column_left ); ?>">
               <?php echo do_shortcode( $proffer_top_left ); ?>
            </div>
            <div class="<?php echo esc_attr( $top_column_right ); ?>">
                <?php echo do_shortcode( $proffer_top_right ); ?>
            </div>
        </div>
    </div>
</div> <!-- end topbar -->
<?php } // Hide Topbar - From Metabox