<?php
/*
 * Proffer Theme's Functions
 * Author & Copyright:themexshaper
 * URL: http://themeforest.net/user/themexshaper
 */

/**
 * Define - Folder Paths
 */

define( 'PROFFER_THEMEROOT_URI', get_template_directory_uri() );
define( 'PROFFER_CSS', PROFFER_THEMEROOT_URI . '/assets/css' );
define( 'PROFFER_IMAGES', PROFFER_THEMEROOT_URI . '/assets/images' );
define( 'PROFFER_SCRIPTS', PROFFER_THEMEROOT_URI . '/assets/js' );
define( 'PROFFER_FRAMEWORK', get_template_directory() . '/includes' );
define( 'PROFFER_LAYOUT', get_template_directory() . '/theme-layouts' );
define( 'PROFFER_CS_IMAGES', PROFFER_THEMEROOT_URI . '/includes/theme-options/framework-extend/images' );
define( 'PROFFER_CS_FRAMEWORK', get_template_directory() . '/includes/theme-options/framework-extend' ); // Called in Icons field *.json
define( 'PROFFER_ADMIN_PATH', get_template_directory() . '/includes/theme-options/cs-framework' ); // Called in Icons field *.json

/**
 * Define - Global Theme Info's
 */
if (is_child_theme()) { // If Child Theme Active
	$proffer_theme_child = wp_get_theme();
	$proffer_get_parent = $proffer_theme_child->Template;
	$proffer_theme = wp_get_theme($proffer_get_parent);
} else { // Parent Theme Active
	$proffer_theme = wp_get_theme();
}
define('PROFFER_NAME', $proffer_theme->get( 'Name' ));
define('PROFFER_VERSION', $proffer_theme->get( 'Version' ));
define('PROFFER_BRAND_URL', $proffer_theme->get( 'AuthorURI' ));
define('PROFFER_BRAND_NAME', $proffer_theme->get( 'Author' ));

/**
 * All Main Files Include
 */
require_once( PROFFER_FRAMEWORK . '/init.php' );