<?php
/*
 * All Proffer Theme Related Functions Files are Linked here
 * Author & Copyright:themexshaper
 * URL: http://themeforest.net/user/themexshaper
 */

/* Theme All Proffer Setup */
require_once( PROFFER_FRAMEWORK . '/theme-support.php' );
require_once( PROFFER_FRAMEWORK . '/backend-functions.php' );
require_once( PROFFER_FRAMEWORK . '/frontend-functions.php' );
require_once( PROFFER_FRAMEWORK . '/enqueue-files.php' );
require_once( PROFFER_CS_FRAMEWORK . '/custom-style.php' );
require_once( PROFFER_CS_FRAMEWORK . '/config.php' );

/* Install Plugins */
require_once( PROFFER_FRAMEWORK . '/theme-options/plugins/activation.php' );

/* Breadcrumbs */
require_once( PROFFER_FRAMEWORK . '/theme-options/plugins/breadcrumb-trail.php' );

/* Aqua Resizer */
require_once( PROFFER_FRAMEWORK . '/theme-options/plugins/aq_resizer.php' );

/* Bootstrap Menu Walker */
require_once( PROFFER_FRAMEWORK . '/core/wp_bootstrap_navwalker.php' );

/* Sidebars */
require_once( PROFFER_FRAMEWORK . '/core/sidebars.php' );

if ( class_exists( 'WooCommerce' ) ) :
	require_once( PROFFER_FRAMEWORK . '/woocommerce-extend.php' );
endif;